edu.northwestern.at.utils

## Interface TaggedStrings

- All Known Implementing Classes:
    SingleTagTaggedStrings, TaggedStringsMap, TaggedStringsSet, TernaryTrie, UTF8Properties

      public interface TaggedStrings

  Interface for a bunch of strings with associated values.

  This is an interface for wrapping various types of string lists. Some string lists have one or more different values for each string, while others have the same value for each string. The underlying implementation can be a map, an array, a trie, a properties list, etc.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsString(java.lang.String string)` See if specified string exists.
    `java.util.Set<java.lang.String>` | `getAllStrings()` Get set of all unique string values.
    `java.util.Set<java.lang.String>` | `getAllTags()` Get set of all unique tag values.
    `int` | `getStringCount()` Get number of strings.
    `java.lang.String` | `getTag(java.lang.String string)` Get the tag value associated with a string.
    `void` | `putTag(java.lang.String string, java.lang.String tag)` Set the tag value associated with a string.

- - ### Method Detail

    - #### containsString

          boolean containsString(java.lang.String string)

      See if specified string exists.
      Parameters:
        `string` - The string.
      Returns:
        True if specified string exists.

    - #### getTag

          java.lang.String getTag(java.lang.String string)

      Get the tag value associated with a string.
      Parameters:
        `string` - The string.
      Returns:
        The tag value associated with the string. May be null.

    - #### putTag

          void putTag(java.lang.String string,
                    java.lang.String tag)

      Set the tag value associated with a string.
      Parameters:
        `string` - The string.
        `tag` - The tag.

    - #### getStringCount

          int getStringCount()

      Get number of strings.
      Returns:
        Number of strings.

    - #### getAllTags

          java.util.Set<java.lang.String> getAllTags()

      Get set of all unique tag values.
      Returns:
        List of all tag values.

    - #### getAllStrings

          java.util.Set<java.lang.String> getAllStrings()

      Get set of all unique string values.
      Returns:
        List of all strings.